/* ######################################################################## */
/* #                               Orage GL                               # */
/* #                          bta Version 4.0                            # */
/* #                              Prototypes                              # */
/* #                          by Vincent Corfdir                          # */
/* ######################################################################## */

//Web site (1) : http://vincent.corfdir.online.fr (in french and in english)
//Wen site (2) : http://oragestudio.free.fr (in french only)
//Mail : oragesoft@hotmail.com
//Copyright Vincent Corfdir 2003-2005.

/*

Thank you very much for having downloaded OrageGL.
- If you meet a bug or get into troubles, please mail me at oragesoft@hotmail.com
- You can also mail me to give me some advices/request/help/feedbacks, ... If you have any
question, do not hesitate to contact me :)
- You will find many tutorials on my web site about graphics functions, like zoom or rotations.
- OrageGL is mainly coded in assembly language, in exception of complexes functions like zoom,
rotations, ...

*/

#if !defined (__oragegl__)
#define __oragegl__


/* .: Geometric functions :. */

extern void GL_PxlOn(register short int x asm("%d0"), register short int y asm("%d1"), register void *screen asm("%a0"));
extern void GL_PxlOff(register short int x asm("%d0"), register short int y asm("%d1"), register void *screen asm("%a0"));
extern void GL_PxlChange(register short int x asm("%d0"), register short int y asm("%d1"), register void *screen asm("%a0"));
extern unsigned char GL_PxlTest(register short int x asm("%d0"), register short int y asm("%d1"), register void *screen asm("%a0"));
extern void GL_HorizontalLine(register short int line asm("%d0"), register void *screen asm("%a0"));
extern void GL_HorizontalLineOff(register short int line asm("%d0"), register void *screen asm("%a0"));
extern void GL_HorizontalLineChange(register short int line asm("%d0"), register void *screen asm("%a0"));
extern void GL_VerticalLine(register short int col asm("%d0"), register void *screen asm("%a0"));
extern void GL_VerticalLineOff(register short int col asm("%d0"), register void *screen asm("%a0"));
extern void GL_VerticalLineChange(register short int col asm("%d0"), register void *screen asm("%a0"));


/* .: Screens functions :. */

//Black and white screen
extern void GL_ClearScreen(register void *screen asm("%a0"));
extern void GL_ClearScreenDim(register void *screen asm("%a0"), register short int beg asm("%d0"), register short int end asm("%d1"));
extern void GL_BlackScreen(register void *screen asm("%a0"));
extern void GL_BlackScreenDim(register void *screen asm("%a0"), register short int beg asm("%d0"), register short int end asm("%d1"));
extern void GL_CopyScreen(register void *src asm("%a0"), register void *dst asm("%a1"));
extern void GL_CopyScreenInv(register void *src asm("%a0"), register void *dst asm("%a1"));
extern void GL_CopyScreenDim(register void *src asm("%a1"), register void *dst asm("%a0"), register short int beg asm("%d0"), register short int end asm("%d1"));
extern void GL_SleepScreen(register void *src asm("%a0"), register void *dst asm("%a1"));
extern void GL_ScrollScreenLeft(register void *screen asm("%a0"), register short int x asm("%d0"), register short int line asm("%d2"));
extern void GL_ScrollScreenRight(register void *screen asm("%a0"), register short int x asm("%d0"), register short int line asm("%d2"));
extern void GL_ScrollScreenUp(register void *screen asm("%a0"), register short int y asm("%d0"), register short int line asm("%d2"));
extern void GL_ScrollScreenDown(register void *screen asm("%a0"), register short int y asm("%d0"), register short int line asm("%d2"));

//Gray screens
extern void GL_Clear2Screen(register void *screen1 asm("%a0"), register void *screen2 asm("%a1"));
extern void GL_Clear2ScreenDim(register void *screen1 asm("%a0"), register void *screen2 asm("%a1"), register short int beg asm("%d0"), register short int end asm("%d1"));
extern void GL_Black2Screen(register void *screen1 asm("%a0"), register void *screen2 asm("%a1"));
extern void GL_Black2ScreenDim(register void *screen1 asm("%a0"), register void *screen2 asm("%a1"), register short int beg asm("%d0"), register short int end asm("%d1"));
extern void GL_Copy2Screen(register void *src_l asm("%d0"), register void *src_d asm("%d1"), register void *dst_l asm("%a0"), register void *dst_d asm("%a1"));
extern void GL_Copy2ScreenInv(register void *src_l asm("%d0"), register void *src_d asm("%d1"), register void *dst_l asm("%a0"), register void *dst_d asm("%a1"));
extern void GL_Copy2ScreenDim(register void *src_l asm("%d2"), register void *src_d asm("%d3"), register void *dst_l asm("%a0"), register void *dst_d asm("%a1"), register short int beg asm("%d0"), register short int end asm("%d1"));
extern void GL_Sleep2Screen(register void *src_l asm("%d0"), register void *src_d asm("%d1"), register void *dst_l asm("%a0"), register void *dst_d asm("%a1"));
extern void GL_Scroll2ScreenLeft(register void *screen_C0 asm("%a0"), register void *screen_C1 asm("%a1"), register short int x asm("%d0"), register short int line asm("%d2"));
extern void GL_Scroll2ScreenRight(register void *screen_C0 asm("%a0"), register void *screen_C1 asm("%a1"), register short int x asm("%d0"), register short int line asm("%d2"));
extern void GL_Scroll2ScreenUp(register void *screen_C0 asm("%a0"), register void *screen_C1 asm("%a1"), register short int y asm("%d0"), register short int line asm("%d2"));
extern void GL_Scroll2ScreenDown(register void *screen_C0 asm("%a0"), register void *screen_C1 asm("%a1"), register short int y asm("%d0"), register short int line asm("%d2"));

//Advanced functions (in C language, very slow)
void GL_TransitLine(void *src);
void GL_GrayTransitLine(void *src_l, void *src_d);


/* .: Sprites functions :. */

//Bitmap
extern void GL_SpriteX8(register short int x asm("%d0"), register short int y asm("%d1"), register short int width asm("%d2"), register short int height asm("%d3"), register void *sprite asm("%a1"), register void *screen asm("%a0"));

//8 bits
extern void GL_Sprite8_OR(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_Sprite8_XOR(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_Sprite8_AND(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_Sprite8_AND(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_Sprite8_Blit(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *mask asm("%d3"), register void *screen asm("%a0"));
extern void GL_ClippedSprite8_OR(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_ClippedSprite8_XOR(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_ClippedSprite8_AND(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_ClippedSprite8_Blit(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *mask asm("%d3"), register void *screen asm("%a0"));

//16 bits
extern void GL_Sprite16_OR(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_Sprite16_XOR(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_Sprite16_AND(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_Sprite16_AND(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_Sprite16_Blit(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *mask asm("%d3"), register void *screen asm("%a0"));
extern void GL_ClippedSprite16_OR(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_ClippedSprite16_XOR(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_ClippedSprite16_AND(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_ClippedSprite16_Blit(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *mask asm("%d3"), register void *screen asm("%a0"));
//32 bits
extern void GL_Sprite32_OR(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_Sprite32_XOR(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_Sprite32_AND(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_Sprite32_AND(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_Sprite32_Blit(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *mask asm("%d3"), register void *screen asm("%a0"));
extern void GL_ClippedSprite32_OR(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_ClippedSprite32_XOR(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_ClippedSprite32_AND(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *screen asm("%a0"));
extern void GL_ClippedSprite32_Blit(register short int x asm("%d0"), register short int y asm("%d1"), register short int size asm("%d2"), register void *sprite asm("%a1"), register void *mask asm("%d3"), register void *screen asm("%a0"));

//Advanced functions (in C language, very slow)
void GL_SpriteRot_Blit(short int x, short int y, short int width, short int height, short int alpha, void *sprite, void *mask, void *dest);
void GL_SpriteRot_Inv(short int x, short int y, short int width, short int height, short int alpha, void *sprite, void *mask, void *dest);
void GL_GraySpriteRot_Blit(short int x, short int y, short int width, short int height, short int alpha, void *spritel, void *sprited, void *mask, void *destl, void *destd);
void GL_GraySpriteRot_Inv(short int x, short int y, short int width, short int height, short int alpha, void *spritel, void *sprited, void *mask, void *destl, void *destd);
void GL_SpriteZoom_Blit(short int x, short int y, unsigned char width, unsigned char height, unsigned char width2, unsigned char height2, void *sprite, void *mask, void *dest);
void GL_SpriteZoom_Inv(short int x, short int y, unsigned char width, unsigned char height, unsigned char width2, unsigned char height2, void *sprite, void *mask, void *dest);
void GL_GraySpriteZoom_Blit(short int x, short int y, unsigned char width, unsigned char height, unsigned char width2, unsigned char height2, void *spritel, void *sprited, void *mask, void *destl, void *destd);
void GL_GraySpriteZoom_Inv(short int x, short int y, unsigned char width, unsigned char height, unsigned char width2, unsigned char height2, void *spritel, void *sprited, void *mask, void *destl, void *destd);


/* .: Others functions :. */

void GL_PrettyPrint(short int x, short int y, const char *txt, void *p0, void *p1, unsigned char size);


#if defined(GL_USESPRITE)

/* Bitmap of the OrageGL logo, designed by my friend Jonathan Donadoni */
/*
		Height : 32 pxls, lenght : 160 pxls
		( + 1280 bytes per program )
*/

static unsigned char OrageGL_C0[] = {0xFF,0x82,0x08,0x20,0x82,0x10,0x41,0x04,0x10,0x43,0x08,0x20,0x82,0x08,0x20,0x84,0x10,0x41,0x04,0x3F,0xFF,0x82,0x08,0x20,0x82,0x10,0x41,0x04,0x10,0x43,0x08,0x20,0x82,0x08,0x20,0x84,0x10,0x41,0x04,0x3F,0xFF,0x82,0x08,0x20,0x82,0x10,0x41,0x04,0x10,0x43,0x08,0x20,0x82,0x08,0x20,0x84,0x10,0x41,0x04,0x3F,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x20,0x84,0x10,0x41,0x04,0x3F,0xFF,0x82,0x08,0x20,0x82,0x18,0x41,0x04,0x10,0xC3,0x0C,0x20,0x82,0x18,0x20,0x84,0x10,0x41,0x04,0x3F,0xFF,0x82,0x08,0x20,0x82,0x10,0x41,0x04,0x10,0x43,0x08,0x20,0x82,0x08,0x20,0x84,0x10,0x41,0x04,0x3F,0xFF,0x82,0x08,0x20,0x82,0x10,0x41,0x04,0x10,0x43,0x08,0x20,0x82,0x08,0x20,0x84,0x10,0x41,0x04,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x80,0x08,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x82,0x08,0x20,0x86,0x18,0x41,0x04,0x10,0xC3,0x0C,0x32,0x00,0x08,0x00,0x04,0x10,0x41,0x04,0x3F,0xFF,0x82,0x08,0x20,0x87,0xFC,0x41,0x04,0x10,0x41,0x08,0x20,0x00,0x0E,0x7F,0xC4,0x10,0x41,0x04,0x3F,0xFF,0x82,0x08,0x20,0x87,0xFF,0x41,0x04,0x10,0x40,0x08,0x20,0x3F,0xF6,0xFF,0xE4,0x10,0x41,0x04,0x3F,0xFF,0x82,0x08,0x20,0x88,0xE1,0xCE,0xE5,0xFC,0x7D,0x8F,0xD0,0xC0,0x0A,0xFF,0xE4,0x10,0x41,0x04,0x3F,0xFF,0x82,0x08,0x20,0xB4,0x03,0x5F,0xF5,0xFE,0x3F,0xCB,0xF3,0x3F,0xEA,0xFF,0xE4,0x10,0x41,0x04,0x3F,0xFF,0xFF,0xFF,0xFF,0xD7,0xFE,0xEB,0x9A,0x05,0xCE,0x75,0xCD,0x7F,0xF2,0xFF,0xE7,0xFF,0xFF,0xFF,0xFF,0xFF,0x82,0x08,0x20,0x9E,0x10,0xF9,0x31,0x13,0x60,0xF8,0x39,0x7F,0xFE,0xFF,0xE4,0x10,0x41,0x04,0x3F,0xFF,0x82,0x08,0x21,0x9A,0x11,0xD9,0x27,0xEB,0x42,0x5A,0x41,0x7F,0xFE,0xFF,0xE4,0x10,0x41,0x04,0x3F,0xFF,0x00,0x00,0x00,0x5E,0x11,0x91,0x1B,0xFF,0x62,0xCF,0xF9,0x7C,0x02,0xFF,0xE8,0x00,0x00,0x00,0x3F,0xFF,0x82,0x08,0x21,0x9A,0x11,0xD1,0x00,0xEB,0x42,0x5F,0xF5,0x7D,0xFA,0xFF,0xE4,0x10,0x41,0x04,0x3F,0xFF,0x82,0x08,0x20,0xBA,0x10,0xD1,0x04,0x17,0x40,0x7C,0x2B,0x7F,0xEA,0xFF,0xE4,0x10,0x4F,0x07,0xBF,0xFF,0xFF,0xFF,0xFF,0xF7,0xFE,0xDF,0xFD,0xFB,0x7F,0xDB,0xF1,0x7F,0xFA,0xFF,0xE7,0xFF,0xFF,0x8F,0xFF,0xFF,0x82,0x08,0x20,0x8B,0x1D,0x51,0x05,0x3A,0xD2,0x5A,0x3B,0x9F,0xCA,0xFF,0xE4,0x10,0x4F,0x87,0xBF,0xFF,0x82,0x08,0x20,0x97,0xFE,0x11,0x03,0xFC,0x3F,0xC7,0xF6,0xFF,0xF6,0xFF,0xA4,0x10,0x4F,0x07,0xBF,0xFF,0x82,0x08,0x20,0x85,0x06,0x61,0x06,0x04,0x60,0xCE,0x18,0xC0,0x0E,0x00,0x24,0x10,0x41,0x04,0x3F,0xFF,0x82,0x08,0x20,0x82,0x10,0x41,0x04,0x10,0x42,0x48,0x21,0x00,0x00,0x00,0x04,0x10,0x41,0x04,0x3F,0xFF,0x82,0x08,0x20,0x82,0x10,0x41,0x04,0x10,0xC0,0xE8,0x21,0xFF,0xFB,0xFF,0xF4,0x10,0x41,0x04,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0xBF,0xFE,0x82,0x18,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0x82,0x08,0x20,0x82,0x10,0x41,0x04,0x10,0x40,0x48,0x20,0x82,0x0B,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x82,0x08,0x20,0x82,0x10,0x41,0x04,0x10,0x5F,0x08,0x20,0x82,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x82,0x08,0x20,0x82,0x10,0x41,0x04,0x10,0x41,0x08,0x20,0x82,0x07,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x82,0x08,0x20,0x82,0x10,0x41,0x04,0x10,0x41,0x08,0x20,0x82,0x08,0x21,0x04,0x10,0x41,0x04,0x3F,0xFF,0x82,0x08,0x20,0x82,0x10,0x41,0x04,0x10,0x41,0x08,0x20,0x82,0x08,0x21,0x04,0x10,0x41,0x04,0x3F};
static unsigned char OrageGL_C1[] = {0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xF0,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xF1,0x80,0x30,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x0F,0xFE,0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xF9,0x80,0x10,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x1F,0x1F,0x01,0x00,0x00,0x02,0x00,0x23,0xFF,0xFD,0x80,0x10,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x18,0x01,0x8F,0xE3,0xFC,0x7F,0x87,0xF9,0xC0,0x1D,0x80,0x10,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x38,0x01,0x9C,0x77,0xFE,0x71,0xCE,0x3B,0x80,0x0D,0x80,0x10,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x30,0x01,0x90,0x1E,0x06,0xC0,0x4C,0x0F,0x80,0x01,0x80,0x10,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x30,0x00,0xB0,0x18,0x16,0xC0,0x6D,0xBF,0x80,0x01,0x80,0x10,0x00,0x00,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xB0,0x00,0xF0,0x07,0xFE,0xC0,0x7F,0xFF,0x83,0xFD,0x80,0x17,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x30,0x00,0xB0,0x07,0x16,0xC0,0x68,0x0B,0x83,0xFD,0x80,0x10,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x10,0x01,0xB0,0x06,0x02,0xC0,0x48,0x05,0x80,0x1D,0x80,0x10,0x00,0x00,0x73,0xBF,0xFF,0x00,0x00,0x00,0x18,0x01,0xB0,0x06,0x06,0xC0,0x6C,0x0F,0x80,0x0D,0x80,0x10,0x00,0x00,0x73,0xBF,0xFF,0x00,0x00,0x00,0x1C,0x03,0xB0,0x06,0x06,0x61,0xEC,0x0D,0xE0,0x3D,0x80,0x10,0x00,0x00,0x73,0xBF,0xFF,0x00,0x00,0x00,0x0F,0xFF,0x30,0x07,0xFE,0x7F,0xEF,0xF9,0xFF,0xF9,0xFF,0xD0,0x00,0x00,0x73,0xBF,0xFF,0x00,0x00,0x00,0x02,0xF8,0x10,0x01,0xF8,0x1F,0x61,0xE3,0x3F,0xF1,0xFF,0xD0,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x60,0x03,0xFF,0xFF,0xFF,0xF0,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x60,0x40,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7F,0xC0,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0x80,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x08,0x20,0x00,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F};

#endif


#endif


//Thank you to Lionnel Debroux and Geoffrey Anneheim for many tips :)